Link Telegram
curl --request POST \
--url https://api.example.com/cabinet/auth/account/link/telegram \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"init_data": "<string>",
"id_token": "<string>",
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"username": "<string>",
"photo_url": "<string>",
"auth_date": 123,
"hash": "<string>"
}
'import requests
url = "https://api.example.com/cabinet/auth/account/link/telegram"
payload = {
"init_data": "<string>",
"id_token": "<string>",
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"username": "<string>",
"photo_url": "<string>",
"auth_date": 123,
"hash": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
init_data: '<string>',
id_token: '<string>',
id: 123,
first_name: '<string>',
last_name: '<string>',
username: '<string>',
photo_url: '<string>',
auth_date: 123,
hash: '<string>'
})
};
fetch('https://api.example.com/cabinet/auth/account/link/telegram', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"merge_required": false,
"merge_token": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cabinet Account Linking
Link Telegram
Link Telegram account via WebApp initData, OIDC id_token, or Login Widget.
POST
/
cabinet
/
auth
/
account
/
link
/
telegram
Link Telegram
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request for linking Telegram account. Supply EITHER init_data, id_token, OR widget fields.
Telegram WebApp initData string
Maximum string length:
4096Telegram OIDC id_token (JWT)
Maximum string length:
4096Telegram user ID from Login Widget
User's first name
Maximum string length:
256User's last name
Maximum string length:
256User's username
Maximum string length:
256User's photo URL
Maximum string length:
2048Unix timestamp of authentication
Authentication hash (SHA-256 hex)
Required string length:
64⌘I
